# typed: strict
require_relative './base.rb'

module Moneylovercli
  module Api
    class AccessToken < Base
      base_uri 'https://oauth.moneylover.me'

      sig do
        params(authorization_token: String, client: String, email: String, password: String)
          .returns(HTTParty::Response)
      end
      def access_token(authorization_token:, client:, email:, password:)
        self.class.post('/token', body: { email: email, password: password },
                                  headers: { authorization: "Bearer #{authorization_token}", client: client })
      end
    end
  end
end
