# typed: true
require 'sorbet-runtime'

module Moneylovercli
  module Api
    class Transaction < MoneyLover
      sig do
        params(account: String, category_id: String, amount: Integer, display_date: String)
          .returns(HTTParty::Response)
      end

      def add(account:, category_id:, amount:, display_date:)
        self.class.post('/transaction/add',
                        body: {
                          account: account,
                          category: category_id,
                          amount: amount,
                          displayDate: display_date
                        },
                        headers: { authorization: "AuthJWT #{@token}" })
      end
    end
  end
end

